%define name avant-window-navigator
%define version 0.1.2
%define rel 1
%define subrel 2
%define bzr 88

%define major 0
%define library_name awn
%define libname %mklibname %library_name %major
%define develname %mklibname %library_name -d

%if %bzr
%define srcname %{name}-%{bzr}
%define distname %{name}
%define release %mkrel 0.%{bzr}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

%define schemas switcher trash

Summary: Dock-style window selector for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}.tar.lzma
License: GPLv2+
Group: Graphical desktop/GNOME
Url: https://launchpad.net/awn
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-common
BuildRequires: libGConf2-devel
BuildRequires: intltool
BuildRequires: libgtk+2-devel
BuildRequires: libgnome2-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libwnck-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python
Requires: gnome-python
Requires: gnome-python-gconf
Requires: gnome-desktop
Requires: gnome-python-gnomevfs
Requires: gnome-python-applet
Requires: pygtk2.0-libglade

%description
Avant-window-navigator is a dock-style window list for GNOME. It provides
a view of your running applications in a dock at the bottom of the screen,
identified by their icon.

%package -n %libname
Group: System/Libraries
Summary: Shared libraries for avant-window-navigator

%description -n %libname
Avant-window-navigator is a dock-style window list for GNOME. It provides
a view of your running applications in a dock at the bottom of the screen,
identified by their icon.

%package -n %develname
Group: Development/C
Summary: Development libraries for avant-window-navigator
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: %library_name-devel = %version-%release

%description -n %develname
Avant-window-navigator is a dock-style window list for GNOME. It provides
a view of your running applications in a dock at the bottom of the screen,
identified by their icon.

%prep
%setup -q -n %{distname}

%build
%if %bzr
./autogen.sh -V
%endif
%configure --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --remove-category="X-Fedora" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%{_iconsdir}/hicolor/{48x48,32x32,16x16,scalable}/apps
install -m 644 %buildroot%_datadir/%{name}/%{name}.svg %buildroot%_iconsdir/hicolor/scalable/apps/%{name}.svg
install -m 644 data/%{name}-48.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png 
convert -scale 32 data/%{name}-48.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/%{name}-48.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png

perl -pi -e 's,/usr/share/%{name}/%{name}-48.png,%{name},g' %buildroot%{_datadir}/applications/%{name}.desktop
perl -pi -e 's,/usr/share/%{name}/%{name}-48.png,%{name},g' %buildroot%{_datadir}/applications/awn-manager.desktop

%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%update_menus
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%_bindir/%{name}
%_bindir/awn-applet-activation
%_bindir/awn-manager
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/applications/awn-manager.desktop
%_libdir/%{library_name}
%_sysconfdir/gconf/schemas/*.schemas
%_iconsdir/hicolor/16x16/apps/%{name}.png
%_iconsdir/hicolor/32x32/apps/%{name}.png
%_iconsdir/hicolor/48x48/apps/%{name}.png
%_iconsdir/hicolor/scalable/apps/%{name}.svg

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*
%dir %py_platsitedir/%library_name
%py_platsitedir/%library_name/*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/lib%{library_name}
%{_libdir}/lib*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/%library_name.pc


%changelog
* Tue Nov 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.2-0.88.1.2mdv2008.0
+ Revision: 110773
- require gnome-python-applet, not gnome-python-applets
- add some missing requirements (#35567)
- revert to correct 2008 state

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.2-0.88.1mdv2008.0
+ Revision: 80583
- new snapshot 88

* Sun Sep 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.81.1mdv2008.0
+ Revision: 78250
- Add buildrequires on gnome-python
- Add buildrequires on pygtk
- Add buildrequires on python-devel
- Update snapshot

* Sat Aug 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.67.1mdv2008.0
+ Revision: 71232
- Update snapshot

* Sun Aug 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.52.1mdv2008.0
+ Revision: 67140
- Update snapshot (new config UI amongst other things)

* Tue Aug 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.2-0.35.1mdv2008.0
+ Revision: 63436
- use %%{major} in file list to protect against major upgrades in future
- drop some useless icon resolutions and old icons
- use fedora license policy (GPLv2+)
- arbitrarily update version to 0.12 to simplify versioning
- new snapshot 35

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.32.1mdv2008.0
+ Revision: 62147
- Update snapshot

* Sun Aug 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.24.1mdv2008.0
+ Revision: 58991
- Update Snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.12.1mdv2008.0
+ Revision: 57846
- Update snapshot

* Tue Jul 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-227.1mdv2008.0
+ Revision: 52844
- New snapshot: svn 227
- Slight spec file clean

* Sat Jun 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-214.1mdv2008.0
+ Revision: 46024
- new svn snapshot 214

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-201.2mdv2008.0
+ Revision: 41614
- also provide awn-devel
- BuildRequires xcomposite and xdamage

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-201.1mdv2008.0
+ Revision: 41547
- BuildRequires libglade2.0-devel
- new svn snapshot 201; libified

* Thu Jun 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-186.1mdv2008.0
+ Revision: 36296
- package new files
- new svn snapshot 186
- new snapshot 179, clean spec a little

* Tue Apr 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-173.1mdv2007.1
+ Revision: 13648
- Update to 0.1.1 (svn173)


* Wed Mar 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-166.1mdv2007.1
+ Revision: 147799
- fix desktop files
- icons according to fd.o / mdv specs
- update menus in %%post
- new svn snapshot 166

  + Sébastien Savarin <plouf@mandriva.org>
    - revision 160
    - svn 158

* Wed Mar 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-156.2mdv2007.1
+ Revision: 134873
- bump for a rebuild - build failed due to repository errors on build cluster
- svn 156

* Thu Mar 01 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-143.1mdv2007.0
+ Revision: 130295
- bump to SVN rev 143
- fix up spec

  + Sébastien Savarin <plouf@mandriva.org>
    - Add requires
    - Import avant-window-navigator

